OpenVDB 12.1.0

Loading...
Searching...
No Matches
pnanovdb_tree_t Struct Reference

`#include <nanovdb/PNanoVDB.h>`

## Public Attributes
pnanovdb_uint64_t | node_offset_leaf
pnanovdb_uint64_t | node_offset_lower
pnanovdb_uint64_t | node_offset_upper
pnanovdb_uint64_t | node_offset_root
pnanovdb_uint32_t | node_count_leaf
pnanovdb_uint32_t | node_count_lower
pnanovdb_uint32_t | node_count_upper
pnanovdb_uint32_t | tile_count_leaf
pnanovdb_uint32_t | tile_count_lower
pnanovdb_uint32_t | tile_count_upper
pnanovdb_uint64_t | voxel_count

## Member Data Documentation

## ◆ node_count_leaf

pnanovdb_uint32_t node_count_leaf

## ◆ node_count_lower

pnanovdb_uint32_t node_count_lower

## ◆ node_count_upper

pnanovdb_uint32_t node_count_upper

## ◆ node_offset_leaf

pnanovdb_uint64_t node_offset_leaf

## ◆ node_offset_lower

pnanovdb_uint64_t node_offset_lower

## ◆ node_offset_root

pnanovdb_uint64_t node_offset_root

## ◆ node_offset_upper

pnanovdb_uint64_t node_offset_upper

## ◆ tile_count_leaf

pnanovdb_uint32_t tile_count_leaf

## ◆ tile_count_lower

pnanovdb_uint32_t tile_count_lower

## ◆ tile_count_upper

pnanovdb_uint32_t tile_count_upper

## ◆ voxel_count

pnanovdb_uint64_t voxel_count